General Library Templates
Prev | Part 1. XSL Library Template Reference | Next

# General Library Templates

Table of Contents

dot.count — Returns the number of “.” characters in a string
copy-string — Returns “count” copies of a string
string.subst — Substitute one text string for another in a string
xpointer.idref — Extract IDREF from an XPointer
length-magnitude — Return the unqualified dimension from a length specification
length-units — Return the units from a length specification
length-spec — Return a fully qualified length specification
length-in-points — Returns the size, in points, of a specified length
pi-attribute — Extract a pseudo-attribute from a PI
lookup.key — Retrieve the value associated with a particular key in a table
xpath.location — Calculate the XPath child-sequence to the current node
comment-escape-string — Prepare a string for inclusion in an XML comment
comment-escape-string.recursive — Internal function used by comment-escape-string
trim.text — Trim leading and trailing whitespace from a text node
str.tokenize.keep.delimiters — Tokenize a string while preserving any delimiters
apply-string-subst-map — Apply a string-substitution map

Prev | Up | Next
Part 1. XSL Library Template Reference | Home | dot.count